#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/apache/mod_ssl.conf.new
config etc/apache/ssl.crt/server.crt.new
config etc/apache/ssl.csr/server.csr.new
config etc/apache/ssl.key/server.key.new

( cd usr/sbin ; rm -rf apachectl )
( cd usr/sbin ; ln -sf apachectl-mod_ssl apachectl )
